package Language::Pythonesque;

# LOAD FILTERING MODULE...
use Filter::Util::Call
use Text::Tabs;

sub import
{
	my($package, %arg) = @_ ;
	$tabstop = $arg{tab}||8;
	filter_add({});
}

sub unimport
{	
	filter_del()
}

sub filter
{
	my($self) = @_ ;

	my $status = filter_read() ;
	return $status if $status<1;

	my ($indent,$notempty) = /\A([ \t]*)(\S?)/;
	$indent = length(expand($indent));

	if ($notempty && !$$self->{continued})
	{
		if ($self->{stack}[-1] && $self->{stack}[-1]{indent}>$indent)
		{
			while ($self->{stack}[-1] && $self->{stack}[-1]{indent}>$indent)
			{
				pop @{$self->{stack}};
				$_ = "}$_";
			}
		}
		elsif ($indent &&
		    (!$self->{stack}[-1] || $self->{stack}[-1]{indent}<$indent))
		{
			push @{$self->{stack}}, {indent=>$indent};
			$_ = "{$_";
		}
		else
		{
			$_ = ";$_"
		}
	}
	$self->{continued} = s/\\$//;
	return $status ;
}

1 ;
